// File: thermistorFun.cpp
//
// Read a thermistor with Arduino multiple times and return Avg temperature
#include "Arduino.h"
#include "thermistorFun.h"
float Vi[10];
float thermistorRead(int Tpin) {
float logRt,Rt,T,Vt,Vo,V,Va; // added Vt
// Use the R value to do final calibration to Thermistor reading.
float R = 10800; // fixed resistance, measured with multimeter
// c1, c2, c3 are calibration coefficients for a particular thermistor
float c1 = 1.009249522e-03, c2 = 2.378405444e-04, c3 = 2.019202697e-07;
for ( int x = 0; x < 10; x++ ) {
	Vi[x] = analogRead(Tpin);
	V = V + Vi[x];
	Va = V/10;	
}
Vo = Va;
Rt = R*( 1024.0 / float(Vo) - 1.0 );
logRt = log(Rt);
T = ( 1.0 / (c1 + c2*logRt + c3*logRt*logRt*logRt ) ) - 273.15;
// T = (T * 9.0)/ 5.0 + 32.0; // Convert Celcius to Fahrenheit
return T;
}